Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3361 - dip does not behave as ifup-sl expects
Summary: dip does not behave as ifup-sl expects
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-09 14:54 UTC by lars
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-24 15:37:17 UTC


Attachments (Terms of Use)

Description lars 1999-06-09 14:54:24 UTC
ifup-sl does not expect dip to exit unless the connection
fails:

  doexec /usr/bin/dip dip-$DEVICE $DIPSCRIPT
  if [ "$PERSIST" != "yes" -o ! -f /var/run/sl-$DEVICE.dev
]; then
    exit 0
  fi

Unfortunately, the version of dip distributed with RH6.0
(dip-3.3.7o-14) backgrounds immediately after establishing
a connection.

In the case of a successful connection, that means that dip
appears to exit, and ifup-sl assumes the connection has
closed.  If $PERSIST is "yes", ifup-sl will try to
reactivate the connection.  dip starts up, finds the serial
port in use, and exists, so ifup-sl tries to reactivate the
connection...

And so forth.

Workaround: turn off "PERSIST" and think of another way to
handle dropped connections.

Solution: fix dip, or fix ifup-sl.  Perhaps it could
check for the lock file dip puts in /var/lock, and use
this to check whether or not dip is still running.

Comment 1 Jay Turner 1999-06-29 14:46:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 Bill Nottingham 1999-08-24 15:37:59 UTC
should be fixed in initscripts-4.33, in next Raw Hide release.


Note You need to log in before you can comment on or make changes to this bug.